Issue 4050

Title
It should be possible to include the origin of the return sale/purchase line
Priority
feature
Status
resolved
Nosy list
ced, nicoe, ohuisman, pokoli, reviewbot, roundup-bot
Assigned to
pokoli
Keywords
review

Created on 2014-07-11.11:18:23 by nicoe, last changed 3 weeks ago by roundup-bot.

Messages

New changeset 83f118ccde54 by Sergi Almacellas Abellana in branch 'default':
Add origin and set on returned purchase
https://hg.tryton.org/tryton-env/rev/83f118ccde54
New changeset c873899c5166 by Sergi Almacellas Abellana in branch 'default':
Add origin and set on returned purchase
https://hg.tryton.org/modules/purchase/rev/c873899c5166
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-03-15.18:00:04

Here is review335851002 which adds the purchase patch.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-03-10.23:56:01
Still missing purchase patch.
New changeset 3e0c749ac2da by C?dric Krier in branch 'default':
Set origin on returned sale
http://hg.tryton.org/modules/sale/rev/3e0c749ac2da
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-03-05.17:15:46
Here is an up to date review14071002 for sale as it has now an origin field.
I think for sale it should only work at the document level.
Author: [hidden] (nicoe) Tryton committer
Date: 2014-08-28.15:31:29
issue4047 also depends on this patch
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2014-08-26.11:37:44
I think it is no more needed.
Author: [hidden] (nicoe) Tryton committer
Date: 2014-07-11.11:18:21
It's sometimes needed to know which line is at origin of the returned quantity.

The attached review adds those fields to the sale/purchase lines.
History
Date User Action Args
2021-03-27 21:21:56roundup-botsetmessages: + msg65882
2021-03-27 21:21:49roundup-botsetmessages: + msg65881
status: testing -> resolved
2021-03-17 12:03:10reviewbotsetmessages: + msg65581
2021-03-15 18:06:54pokolilinkissue10199 superseder
2021-03-15 18:05:55reviewbotsetmessages: + msg65531
nosy: + reviewbot
2021-03-15 18:00:04pokolisetassignedto: nicoe -> pokoli
messages: + msg65529
nosy: + pokoli
reviews: 9501002,14071002 -> 335851002, 9501002,14071002
status: in-progress -> testing
2015-03-10 23:56:01cedsetstatus: resolved -> in-progress
assignedto: ced -> nicoe
messages: + msg20604
2015-03-10 23:54:51roundup-botsetstatus: in-progress -> resolved
nosy: + roundup-bot
messages: + msg20603
2015-03-05 17:20:11reviewbotsetreviews: 9501002 -> 9501002,14071002
2015-03-05 17:15:46cedsetstatus: chatting -> in-progress
assignedto: nicoe -> ced
messages: + msg20474

Showing 10 items. Show all history (warning: this could be VERY long)